summaryrefslogtreecommitdiffstats
path: root/packaging/macos/build_inkscape.sh
diff options
context:
space:
mode:
authorRené de Hesselle <dehesselle@web.de>2019-04-22 18:45:50 +0000
committerRené de Hesselle <dehesselle@web.de>2019-04-22 20:07:43 +0000
commitab482654696a3b6b5adfae95fffe45291199712d (patch)
tree3faf03e4a41cbf970edbd8ea69dce0aa3775836b /packaging/macos/build_inkscape.sh
parentPull in fix for stdout issues (diff)
downloadinkscape-ab482654696a3b6b5adfae95fffe45291199712d.tar.gz
inkscape-ab482654696a3b6b5adfae95fffe45291199712d.zip
Update macOS build pipeline
Highlights: - fixes open/save crashes - fixes localization - bundles Python 3, enabling extensions Also lots of internal improvements and refactoring.
Diffstat (limited to 'packaging/macos/build_inkscape.sh')
-rwxr-xr-xpackaging/macos/build_inkscape.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/packaging/macos/build_inkscape.sh b/packaging/macos/build_inkscape.sh
new file mode 100755
index 000000000..65f430271
--- /dev/null
+++ b/packaging/macos/build_inkscape.sh
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+# SPDX-License-Identifier: GPL-2.0-or-later
+#
+# This file is part of the build pipeline for Inkscape on macOS.
+#
+# ### build_inkscape.sh ###
+# Compile and package Inkscape.
+
+### load settings and functions ################################################
+
+SELF_DIR=$(cd $(dirname "$0"); pwd -P)
+for script in $SELF_DIR/0??-*.sh; do source $script; done
+
+set -e
+
+### run scripts to compile and build Inkscape ##################################
+
+for script in $SELF_DIR/2??-*.sh; do
+ $script
+done